    Return the number of thawed parameters in a model expression.

get_num_par_thawed(id=None)
id - int or str, optional

The `get_num_par_thawed` function returns the number of thawed parameters in the model assigned to a data set.

Return the number of thawed parameters for the default data set:

>>> print(get_num_par_thawed())

Find the number of thawed parameters for the model associated with the data set called "jet":

>>> njet = get_num_par_thawed('jet')

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set containing the model expression. If not given then the default identifier is used, as returned by

`get_default_id` .

The return value from this function is:

npar -- The number of parameters in the model expression. This sums up all the thawed parameters of the components in the expression.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023